QwtPointSeriesData(3)

NAME
QwtPointSeriesData - Interface for iterating over an array of points.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QPointF >.

Inherited by QwtCPointerData< T >, QwtCPointerValueData< T >, QwtPointArrayData< T >, QwtSyntheticPointData, and QwtValuePointData< T >.

  Public Member Functions
QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF boundingRect () const override
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of points.

Definition at line 209 of file qwt_series_data.h.

Constructor & Destructor Documentation

  QwtPointSeriesData::QwtPointSeriesData (const QVector< QPointF > & samples = QVector< QPointF >( ))
Constructor

Parameters
    samples Samples

Definition at line 250 of file qwt_series_data.cpp.

Member Function Documentation

  QRectF QwtPointSeriesData::boundingRect () const [override], [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
    Bounding rectangle

Implements QwtSeriesData< QPointF >.

Reimplemented in QwtSyntheticPointData.

Definition at line 263 of file qwt_series_data.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.